NX Open C++ Reference Guide
List of all members
NXOpen::Annotations::FrameBarBuilder Class Reference

Represents a NXOpen::Annotations::FrameBarBuilder . More...

Inheritance diagram for NXOpen::Annotations::FrameBarBuilder:
NXOpen::Annotations::BaseFrameBarBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Additional Inherited Members

- Public Types inherited from NXOpen::Annotations::BaseFrameBarBuilder
enum  AxisType { AxisTypeX, AxisTypeY, AxisTypeZ }
 Enum for Ship Axis This is used by NXOpen::Annotations::BaseFrameBarBuilder::Axis and NXOpen::Annotations::BaseFrameBarBuilder::SetAxis to get/set the axis for a frame bar. More...
 
- Public Member Functions inherited from NXOpen::Annotations::BaseFrameBarBuilder
bool AftPerpendicular ()
 Returns the aft perpendicular
Created in NX8.0.0. More...
 
NXOpen::Annotations::BaseFrameBarBuilder::AxisType Axis ()
 Returns the axis
Created in NX8.0.0. More...
 
bool Baseline ()
 Returns the baseline
Created in NX8.0.0. More...
 
bool BulkHeads ()
 Returns the bulk heads
Created in NX8.0.0. More...
 
bool Centerline ()
 Returns the centerline
Created in NX8.0.0. More...
 
void CreateFrameBarObject ()
 Creates frame bar object
Created in NX8.0.0. More...
 
bool Decks ()
 Returns the decks
Created in NX8.0.0. More...
 
bool ForwardPerpendicular ()
 Returns the forward perpendicular
Created in NX8.0.0. More...
 
NXOpen::Annotations::BaseFrameBarGetFramebar ()
 The frame bar. More...
 
bool InterTransverseFrames ()
 Returns the inter transverse frames
Created in NX8.0.0. More...
 
bool LongitudinalYFrames ()
 Returns the longitudinal yframes
Created in NX8.0.0. More...
 
bool LongitudinalZFrames ()
 Returns the longitudinal zframes
Created in NX8.0.0. More...
 
NXOpen::Annotations::OriginBuilderOrigin ()
 Returns the origin
Created in NX8.0.0. More...
 
void ReverseTics ()
 This function is used to reverse tics on the framebar
Created in NX8.0.0. More...
 
void SetAftPerpendicular (bool aftPerpendicular)
 Sets the aft perpendicular
Created in NX8.0.0. More...
 
void SetAxis (NXOpen::Annotations::BaseFrameBarBuilder::AxisType axis)
 Sets the axis
Created in NX8.0.0. More...
 
void SetBaseline (bool baseline)
 Sets the baseline
Created in NX8.0.0. More...
 
void SetBulkHeads (bool bulkHeads)
 Sets the bulk heads
Created in NX8.0.0. More...
 
void SetCenterline (bool centerline)
 Sets the centerline
Created in NX8.0.0. More...
 
void SetDecks (bool decks)
 Sets the decks
Created in NX8.0.0. More...
 
void SetForwardPerpendicular (bool forwardPerpendicular)
 Sets the forward perpendicular
Created in NX8.0.0. More...
 
void SetInterTransverseFrames (bool interTransverseFrames)
 Sets the inter transverse frames
Created in NX8.0.0. More...
 
void SetLongitudinalYFrames (bool longitudinalYFrames)
 Sets the longitudinal yframes
Created in NX8.0.0. More...
 
void SetLongitudinalZFrames (bool longitudinalZFrames)
 Sets the longitudinal zframes
Created in NX8.0.0. More...
 
void SetTransveralInsertArea (bool transveralInsertArea)
 Sets the transveral insert area
Created in NX8.0.0. More...
 
void SetTransverseFrames (bool transverseFrames)
 Sets the transverse frames
Created in NX8.0.0. More...
 
void SetWaterline (bool waterline)
 Sets the waterline
Created in NX8.0.0. More...
 
NXOpen::Annotations::StyleBuilderStyle ()
 Returns the style
Created in NX8.0.0. More...
 
bool TransveralInsertArea ()
 Returns the transveral insert area
Created in NX8.0.0. More...
 
bool TransverseFrames ()
 Returns the transverse frames
Created in NX8.0.0. More...
 
void UpdateFrameBarFromStyle ()
 Updates frame bar object as per style
Created in NX8.0.0. More...
 
void UpdateFromConceptModel ()
 This function is used to update framebar from Concept model
Created in NX8.0.0. More...
 
NXOpen::Drawings::SelectDraftingViewView ()
 Returns the select view
Created in NX8.0.0. More...
 
bool Waterline ()
 Returns the waterline
Created in NX8.0.0. More...
 

Detailed Description

Represents a NXOpen::Annotations::FrameBarBuilder .

This class allows to create frame bar annotation
To create a new instance of this class, use NXOpen::Annotations::FrameBarCollection::CreateFrameBarBuilder
Default values.

Property Value

AftPerpendicular

0

Axis

X

Baseline

0

BulkHeads

0

Centerline

0

Decks

0

ForwardPerpendicular

0

InterTransverseFrames

0

LongitudinalYFrames

0

LongitudinalZFrames

0

TransveralInsertArea

0

TransverseFrames

0

Waterline

0


Created in NX8.0.0.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.